/*
 * $Id: Logger.java,v 1.4 2005/11/03 15:10:15 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.koike.core.logging;

import java.util.Calendar;
import java.util.Date;

/**
 * ロガー
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.4 $
 */
public class Logger {
	/**
	 * パッケージからのみアクセスできるロガー
	 */
	Logger() {
	}
	/**
	 * ロギング
	 * @param log 出力する文字列
	 */
	public synchronized void write(String log) {
		Date now = Calendar.getInstance().getTime();
		String today = now.toString();

		// とりあえず画面に出しておく
		System.out.print("[" + Thread.currentThread().getName() + "]" + today + " ");
		System.out.println(log);
	}
}
